## zowe › zos-workflows › create › workflow-from-local-file

Create a z/OSMF workflow on a z/OS system using a local file.

#### Usage

zowe zos-workflows create workflow-from-local-file <workflowName> [options]

#### Positional Arguments

- `workflowName` (string)

  - Name of the workflow

#### Required Options

- `--local-file` | `--lf` (string)

  - Local file that contains workflow definition.

- `--system-name` | `--sn` (string)

  - z/OS system to execute the workflow.

- `--owner` | `--ow` (string)

  - User ID of the workflow owner. This user can perform the workflow steps or delegate the steps to other users.

#### Options

- `--variables-input-file` | `--vif` (string)

  - Specifies an optional properties file that you can use to pre-specify values for one or more of the variables that are defined in the workflow definition file.

- `--variables` | `--vs` (string)

  - Includes a list of variables for the workflow. The variables that you specify here take precedence over the variables that are specified in the workflow variable input file. Make sure the value meets all regular expression requirements set for the corresponding variable.

- `--assign-to-owner` | `--ato` (boolean)

  - Indicates whether the workflow steps are assigned to the workflow owner.

- `--access-type` | `--at` (string)

  - Specifies the access type for the workflow. Public, Restricted or Private.

    Allowed values: Public, Restricted, Private

- `--delete-completed` | `--dc` (boolean)

  - Whether the successfully completed jobs to be deleted from the JES spool.

- `--overwrite` | `--ov` (boolean)

  - Replaces an existing workflow with a new workflow.

- `--remote-directory` | `--rd` (string)

  - The remote USS directory where the files are to be uploaded. The directory has to exist.

- `--keep-files` | `--kf` (boolean)

  - Avoid deletion the uploaded files in /tmp or another specified directory after successful execution.

    Default value: false

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

- `--completion-timeout` | `--cto` (number)

  - The amount in time, in seconds, a REST operation should wait to complete before timing out

- `--establish-connection-timeout` | `--ecto` (number)

  - The amount of time, in seconds, a REST operation should wait while connecting to the server before timing out

#### Profile Options

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

#### Response Format Options

- `--response-format-filter` | `--rff` (array)

  - Filter (include) fields in the response. Accepts an array of field/property names to include in the output response. You can filter JSON objects properties OR table columns/fields. In addition, you can use this option in conjunction with '--response-format-type' to reduce the output of a command to a single field/property or a list of a single field/property.

- `--response-format-type` | `--rft` (string)

  - The command response output format type. Must be one of the following:

    table: Formats output data as a table. Use this option when the output data is an array of homogeneous JSON objects. Each property of the object will become a column in the table.

    list: Formats output data as a list of strings. Can be used on any data type (JSON objects/arrays) are stringified and a new line is added after each entry in an array.

    object: Formats output data as a list of prettified objects (or single object). Can be used in place of "table" to change from tabular output to a list of prettified objects.

    string: Formats output data as a string. JSON objects/arrays are stringified.

    Allowed values: table, list, object, string

- `--response-format-header` | `--rfh` (boolean)

  - If "--response-format-type table" is specified, include the column headers in the output.

#### Examples

- Create a workflow with name "testworkflow" using the local file "TESTID_WKFLOW.xml" that contains the workflow definition xml on the system "TESTM1" with owner "OTHERID" and delete workflow with the same name if it already exists in z/OSMF:

  - `zowe zos-workflows create workflow-from-local-file "testworkflow" --local-file "TESTID_WKFLOW.xml" --system-name "TESTM1" --owner "OTHERID" --overwrite`